# Retrieve a menu

`GET https://api.cademi.com.br/api/v3/menus/{menu_key}`

Operation ID: `menus.get` · API v3

Retrieves a menu from the fixed set of menus provided by the platform.

The `sidebar_hidden` field reflects the current account's setting for hiding the sidebar menu.

Required permissions: `menu_items.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `menu_key` | path | string | yes |  |

## Responses

### 200

Returns the requested menu.

Body: `data`: Menu.

Fields of Menu:

| Field | Type | Required | Description |
|---|---|---|---|
| `item_kinds` | array of string, one of `shortcut`, `product`, `showcase`, `url`, `embed` | yes |  |
| `key` | string, one of `student-area` | yes |  |
| `label` | string | yes |  |
| `object` | string, one of `menu` | yes |  |
| `sidebar_hidden` | boolean | yes |  |
| `supports_hierarchy` | boolean, one of `false` | yes |  |
| `supports_move` | boolean, one of `false` | yes |  |

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The menu key is not recognized.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
